/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package view;

import javax.swing.JOptionPane;


/**
 *
 * @author familia
 */
public class QuadrosJFrame extends javax.swing.JFrame {

    /**
     * Creates new form AdicionarPastoJFrame
     */
    public QuadrosJFrame() {
        initComponents();
    }

    /**
     * This method is called from within the constructor to initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is always
     * regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        jPanel1 = new javax.swing.JPanel();
        salvar_btn = new javax.swing.JButton();
        caixas_lbl = new javax.swing.JLabel();
        quadroMel_lbl = new javax.swing.JLabel();
        jLabel4 = new javax.swing.JLabel();
        jLabel6 = new javax.swing.JLabel();
        jLabel7 = new javax.swing.JLabel();
        jLabel8 = new javax.swing.JLabel();
        jLabel9 = new javax.swing.JLabel();
        jLabel10 = new javax.swing.JLabel();
        jLabel11 = new javax.swing.JLabel();
        jLabel12 = new javax.swing.JLabel();
        jLabel13 = new javax.swing.JLabel();
        jLabel1 = new javax.swing.JLabel();
        jLabel5 = new javax.swing.JLabel();
        jLabel18 = new javax.swing.JLabel();
        jLabel19 = new javax.swing.JLabel();
        jLabel21 = new javax.swing.JLabel();
        jLabel22 = new javax.swing.JLabel();
        jLabel25 = new javax.swing.JLabel();
        jLabel32 = new javax.swing.JLabel();
        jLabel35 = new javax.swing.JLabel();
        jLabel38 = new javax.swing.JLabel();
        QuadroMel1_box = new javax.swing.JCheckBox();
        QuadroMel2_box = new javax.swing.JCheckBox();
        QuadroMel3_box = new javax.swing.JCheckBox();
        QuadroMel4_box = new javax.swing.JCheckBox();
        QuadroMel5_box = new javax.swing.JCheckBox();
        QuadroMel6_box = new javax.swing.JCheckBox();
        QuadroMel8_box = new javax.swing.JCheckBox();
        QuadroMel7_box = new javax.swing.JCheckBox();
        QuadroMel9_box = new javax.swing.JCheckBox();
        QuadroMel10_box = new javax.swing.JCheckBox();
        voltar_btn = new javax.swing.JButton();
        jMenuBar1 = new javax.swing.JMenuBar();
        navegar_menu = new javax.swing.JMenu();
        pagIni_nav_menu = new javax.swing.JMenuItem();
        sair_nav_menu = new javax.swing.JMenuItem();
        sobre_menu = new javax.swing.JMenu();

        setDefaultCloseOperation(javax.swing.WindowConstants.DISPOSE_ON_CLOSE);
        setTitle("Quadros");
        setPreferredSize(new java.awt.Dimension(950, 400));
        setResizable(false);

        jPanel1.setMaximumSize(new java.awt.Dimension(802, 600));
        jPanel1.setMinimumSize(new java.awt.Dimension(802, 600));
        jPanel1.setPreferredSize(new java.awt.Dimension(802, 600));

        salvar_btn.setText("Salvar");
        salvar_btn.setPreferredSize(new java.awt.Dimension(100, 25));
        salvar_btn.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                salvar_btnActionPerformed(evt);
            }
        });

        caixas_lbl.setFont(new java.awt.Font("Dialog", 1, 18)); // NOI18N
        caixas_lbl.setText("Quadros");

        quadroMel_lbl.setText("Quadro com mel");

        jLabel4.setText("Quadro vazio");

        jLabel6.setText("Quadro com pólen");

        jLabel7.setText("Quadro com ovo");

        jLabel8.setText("Quadro com larva");

        jLabel9.setText("Quadro com pupa");

        jLabel10.setText("Quadro escuro");

        jLabel11.setText("Quadro defeituoso");

        jLabel12.setText("Quadro sem cera");

        jLabel13.setText("Rainha");

        jLabel1.setText("1");

        jLabel5.setText("2");

        jLabel18.setText("3");

        jLabel19.setText("4");

        jLabel21.setText("6");

        jLabel22.setText("7");

        jLabel25.setText("5");

        jLabel32.setText("8");

        jLabel35.setText("9");

        jLabel38.setText("10");

        QuadroMel1_box.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                QuadroMel1_boxActionPerformed(evt);
            }
        });

        voltar_btn.setText("< Voltar");
        voltar_btn.setPreferredSize(new java.awt.Dimension(100, 25));
        voltar_btn.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                voltar_btnActionPerformed(evt);
            }
        });

        javax.swing.GroupLayout jPanel1Layout = new javax.swing.GroupLayout(jPanel1);
        jPanel1.setLayout(jPanel1Layout);
        jPanel1Layout.setHorizontalGroup(
            jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, jPanel1Layout.createSequentialGroup()
                .addContainerGap(javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                .addComponent(caixas_lbl)
                .addGap(400, 400, 400))
            .addGroup(jPanel1Layout.createSequentialGroup()
                .addContainerGap()
                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(jPanel1Layout.createSequentialGroup()
                        .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                            .addComponent(jLabel4)
                            .addComponent(jLabel6)
                            .addComponent(jLabel7)
                            .addComponent(jLabel8)
                            .addComponent(jLabel9)
                            .addComponent(jLabel10)
                            .addComponent(jLabel11)
                            .addComponent(jLabel12)
                            .addComponent(jLabel13)
                            .addComponent(quadroMel_lbl))
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, 19, Short.MAX_VALUE)
                        .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING)
                            .addComponent(QuadroMel1_box)
                            .addComponent(jLabel1))
                        .addGap(57, 57, 57)
                        .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING)
                            .addComponent(jLabel5)
                            .addComponent(QuadroMel2_box))
                        .addGap(57, 57, 57)
                        .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING)
                            .addComponent(jLabel18)
                            .addComponent(QuadroMel3_box))
                        .addGap(57, 57, 57)
                        .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING)
                            .addGroup(jPanel1Layout.createSequentialGroup()
                                .addComponent(jLabel19)
                                .addGap(70, 70, 70)
                                .addComponent(jLabel25)
                                .addGap(70, 70, 70)
                                .addComponent(jLabel21))
                            .addGroup(jPanel1Layout.createSequentialGroup()
                                .addComponent(QuadroMel4_box)
                                .addGap(57, 57, 57)
                                .addComponent(QuadroMel5_box)
                                .addGap(57, 57, 57)
                                .addComponent(QuadroMel6_box)))
                        .addGap(57, 57, 57)
                        .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING)
                            .addGroup(jPanel1Layout.createSequentialGroup()
                                .addComponent(jLabel22)
                                .addGap(70, 70, 70)
                                .addComponent(jLabel32)
                                .addGap(70, 70, 70)
                                .addComponent(jLabel35))
                            .addGroup(jPanel1Layout.createSequentialGroup()
                                .addComponent(QuadroMel7_box)
                                .addGap(57, 57, 57)
                                .addComponent(QuadroMel8_box)
                                .addGap(57, 57, 57)
                                .addComponent(QuadroMel9_box)))
                        .addGap(65, 65, 65)
                        .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING)
                            .addComponent(jLabel38)
                            .addComponent(QuadroMel10_box)))
                    .addGroup(jPanel1Layout.createSequentialGroup()
                        .addComponent(voltar_btn, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                        .addComponent(salvar_btn, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)))
                .addGap(41, 41, 41))
        );
        jPanel1Layout.setVerticalGroup(
            jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel1Layout.createSequentialGroup()
                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(jPanel1Layout.createSequentialGroup()
                        .addContainerGap()
                        .addComponent(caixas_lbl, javax.swing.GroupLayout.PREFERRED_SIZE, 22, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                            .addComponent(jLabel1)
                            .addComponent(jLabel5)
                            .addComponent(jLabel18)
                            .addComponent(jLabel19)
                            .addComponent(jLabel25)
                            .addComponent(jLabel21)
                            .addComponent(jLabel22)
                            .addComponent(jLabel32)
                            .addComponent(jLabel38)
                            .addComponent(jLabel35))
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.CENTER)
                            .addComponent(QuadroMel1_box)
                            .addComponent(QuadroMel2_box)
                            .addComponent(QuadroMel3_box)
                            .addComponent(QuadroMel4_box)
                            .addComponent(QuadroMel5_box)
                            .addComponent(QuadroMel6_box)
                            .addComponent(QuadroMel8_box)
                            .addComponent(QuadroMel7_box)
                            .addComponent(QuadroMel9_box)
                            .addComponent(QuadroMel10_box))
                        .addGap(4, 4, 4)
                        .addComponent(jLabel4)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jLabel6)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jLabel7)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jLabel8)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jLabel9)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jLabel10)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jLabel11)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jLabel12)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jLabel13))
                    .addGroup(jPanel1Layout.createSequentialGroup()
                        .addGap(61, 61, 61)
                        .addComponent(quadroMel_lbl)))
                .addGap(18, 18, 18)
                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(voltar_btn, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(salvar_btn, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addContainerGap(javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
        );

        navegar_menu.setText("Navegar");

        pagIni_nav_menu.setText("Página Inicial");
        pagIni_nav_menu.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                pagIni_nav_menuActionPerformed(evt);
            }
        });
        navegar_menu.add(pagIni_nav_menu);

        sair_nav_menu.setText("Sair");
        sair_nav_menu.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                sair_nav_menuActionPerformed(evt);
            }
        });
        navegar_menu.add(sair_nav_menu);

        jMenuBar1.add(navegar_menu);

        sobre_menu.setText("Sobre");
        sobre_menu.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                sobre_menuMouseClicked(evt);
            }
        });
        jMenuBar1.add(sobre_menu);

        setJMenuBar(jMenuBar1);

        javax.swing.GroupLayout layout = new javax.swing.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addComponent(jPanel1, javax.swing.GroupLayout.PREFERRED_SIZE, 948, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addGap(0, 29, Short.MAX_VALUE))
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addComponent(jPanel1, javax.swing.GroupLayout.PREFERRED_SIZE, 566, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addGap(0, 34, Short.MAX_VALUE))
        );

        pack();
        setLocationRelativeTo(null);
    }// </editor-fold>//GEN-END:initComponents

    private void pagIni_nav_menuActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_pagIni_nav_menuActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_pagIni_nav_menuActionPerformed

    private void QuadroMel1_boxActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_QuadroMel1_boxActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_QuadroMel1_boxActionPerformed

    private void salvar_btnActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_salvar_btnActionPerformed
        // TODO add your handling code here:
        new CaixasJFrame().setVisible(true);
        dispose();
    }//GEN-LAST:event_salvar_btnActionPerformed

    private void sair_nav_menuActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_sair_nav_menuActionPerformed
        // TODO add your handling code here:
        System.exit(0);
    }//GEN-LAST:event_sair_nav_menuActionPerformed

    private void voltar_btnActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_voltar_btnActionPerformed
        // TODO add your handling code here:
        new CaixasJFrame().setVisible(true);
        dispose();
    }//GEN-LAST:event_voltar_btnActionPerformed

    private void sobre_menuMouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_sobre_menuMouseClicked
        JOptionPane.showMessageDialog(null,"Criado por Lucas e Mesaque","Sobre", JOptionPane.INFORMATION_MESSAGE);
    }//GEN-LAST:event_sobre_menuMouseClicked

    /**
     * @param args the command line arguments
     */
    public static void main(String args[]) {
        /* Set the Nimbus look and feel */
        //<editor-fold defaultstate="collapsed" desc=" Look and feel setting code (optional) ">
        /* If Nimbus (introduced in Java SE 6) is not available, stay with the default look and feel.
         * For details see http://download.oracle.com/javase/tutorial/uiswing/lookandfeel/plaf.html 
         */
        try {
            for (javax.swing.UIManager.LookAndFeelInfo info : javax.swing.UIManager.getInstalledLookAndFeels()) {
                if ("Nimbus".equals(info.getName())) {
                    javax.swing.UIManager.setLookAndFeel(info.getClassName());
                    break;
                }
            }
        } catch (ClassNotFoundException ex) {
            java.util.logging.Logger.getLogger(QuadrosJFrame.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (InstantiationException ex) {
            java.util.logging.Logger.getLogger(QuadrosJFrame.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (IllegalAccessException ex) {
            java.util.logging.Logger.getLogger(QuadrosJFrame.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (javax.swing.UnsupportedLookAndFeelException ex) {
            java.util.logging.Logger.getLogger(QuadrosJFrame.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        }
        //</editor-fold>
        //</editor-fold>
        //</editor-fold>
        //</editor-fold>

        /* Create and display the form */
        java.awt.EventQueue.invokeLater(new Runnable() {
            public void run() {
                new QuadrosJFrame().setVisible(true);
            }
        });
    }

    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JCheckBox QuadroMel10_box;
    private javax.swing.JCheckBox QuadroMel1_box;
    private javax.swing.JCheckBox QuadroMel2_box;
    private javax.swing.JCheckBox QuadroMel3_box;
    private javax.swing.JCheckBox QuadroMel4_box;
    private javax.swing.JCheckBox QuadroMel5_box;
    private javax.swing.JCheckBox QuadroMel6_box;
    private javax.swing.JCheckBox QuadroMel7_box;
    private javax.swing.JCheckBox QuadroMel8_box;
    private javax.swing.JCheckBox QuadroMel9_box;
    private javax.swing.JLabel caixas_lbl;
    private javax.swing.JLabel jLabel1;
    private javax.swing.JLabel jLabel10;
    private javax.swing.JLabel jLabel11;
    private javax.swing.JLabel jLabel12;
    private javax.swing.JLabel jLabel13;
    private javax.swing.JLabel jLabel18;
    private javax.swing.JLabel jLabel19;
    private javax.swing.JLabel jLabel21;
    private javax.swing.JLabel jLabel22;
    private javax.swing.JLabel jLabel25;
    private javax.swing.JLabel jLabel32;
    private javax.swing.JLabel jLabel35;
    private javax.swing.JLabel jLabel38;
    private javax.swing.JLabel jLabel4;
    private javax.swing.JLabel jLabel5;
    private javax.swing.JLabel jLabel6;
    private javax.swing.JLabel jLabel7;
    private javax.swing.JLabel jLabel8;
    private javax.swing.JLabel jLabel9;
    private javax.swing.JMenuBar jMenuBar1;
    private javax.swing.JPanel jPanel1;
    private javax.swing.JMenu navegar_menu;
    private javax.swing.JMenuItem pagIni_nav_menu;
    private javax.swing.JLabel quadroMel_lbl;
    private javax.swing.JMenuItem sair_nav_menu;
    private javax.swing.JButton salvar_btn;
    private javax.swing.JMenu sobre_menu;
    private javax.swing.JButton voltar_btn;
    // End of variables declaration//GEN-END:variables
}
